<template>
	<main>
		<div class="container">
			<!-- Alert -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Alert</h2>
				<div class="alert">Alert default</div>
				<div class="alert--primary">Alert primary</div>
				<div class="alert--secondary">Alert secondary</div>
				<div class="alert--warning">Alert warning</div>
				<div class="alert--danger">Alert danger</div>
				<div class="alert--black">Alert black</div>
				<div class="alert--light-grey">Alert light-grey</div>
				<div class="alert--white">Alert white</div>
				<div class="text-size14">
					<pre><code class="code-container html">&lt;div class=&quot;alert&quot;&gt;Alert default&lt;/div&gt;
&lt;div class=&quot;alert--primary&quot;&gt;Alert primary&lt;/div&gt;
&lt;div class=&quot;alert--secondary&quot;&gt;Alert secondary&lt;/div&gt;
&lt;div class=&quot;alert--warning&quot;&gt;Alert warning&lt;/div&gt;
&lt;div class=&quot;alert--danger&quot;&gt;Alert danger&lt;/div&gt;
&lt;div class=&quot;alert--black&quot;&gt;Alert black&lt;/div&gt;
&lt;div class=&quot;alert--light-grey&quot;&gt;Alert light-grey&lt;/div&gt;
&lt;div class=&quot;alert--white&quot;&gt;Alert white&lt;/div&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- Alert box-->
			<div class="mb-24">
				<h2 class="text-suitmedia font-fira">Alert Box</h2>
				<button class="btn--primary js-trigger-alert" data-alert="#alert1">
					Alert 1
				</button>
				<button class="btn--primary js-trigger-alert" data-alert="#alert2">
					Alert 2
				</button>
				<div class="alert--popup" id="alert1">
					<div class="alert--primary alert--popup-content">
						<span class="alert--close js-alert-close"
							><i class="fas fa-times"></i
						></span>
						<h4>Lorem Ipsum!</h4>
						<p>
							Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
							eiusmod eiusmod eiusmod tempor incididunt ut labore et dolore
							aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
							nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in
							reprehenderit in voluptate velit esse cillum dolore eu fugiat
							nulla pariatur. Excepteur sint occaecat cupidatat non proident,
							sunt in culpa qui officia deserunt mollit anim id est laborum.
						</p>
						<hr />
						<p class="mb-0">
							Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam
							qui obcaecati tempora. Quod, nesciunt culpa sunt sit itaque
							voluptate molestiae in quia quos quam tempora sequi illo
							molestias? Rerum, sit?
						</p>
					</div>
				</div>

				<div class="alert--popup" id="alert2">
					<div class="alert--danger alert--popup-content">
						<span class="alert--close js-alert-close"
							><i class="fas fa-times"></i
						></span>
						<h4>Number 2</h4>
						<p>Test Number 2</p>
					</div>
				</div>

				<div class="text-size14">
					<pre><code class="code-container html">&lt;button class=&quot;btn--primary js-trigger-alert&quot; data-alert=&quot;#alert1&quot;&gt;Alert 1&lt;/button&gt;
&lt;button class=&quot;btn--primary js-trigger-alert&quot; data-alert=&quot;#alert2&quot;&gt;Alert 2&lt;/button&gt;

&lt;div class=&quot;alert--popup&quot; id=&quot;alert1&quot;&gt;
&lt;div class=&quot;alert--primary alert--popup-content&quot; &gt;
&lt;span class=&quot;alert--close js-alert-close&quot;&gt;&lt;i class=&quot;fas fa-times&quot;&gt;&lt;/i&gt;&lt;/span&gt; &lt;h4&gt;Lorem Ipsum!&lt;/h4&gt;
&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
proident, sunt in culpa qui officia deserunt mollit anim id est laborum.&lt;/p&gt;
&lt;hr&gt;
&lt;p class=&quot;mb-0&quot;&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam qui obcaecati tempora.
Quod, nesciunt culpa sunt sit itaque voluptate molestiae in quia quos quam tempora sequi illo molestias? Rerum, sit?&lt;/p&gt;
&lt;/div&gt;
&lt;/div&gt;

&lt;div class=&quot;alert--popup&quot; id=&quot;alert2&quot;&gt;
&lt;div class=&quot;alert--danger alert--popup-content&quot; &gt;
&lt;span class=&quot;alert--close js-alert-close&quot;&gt;&lt;i class=&quot;fas fa-times&quot;&gt;&lt;/i&gt;&lt;/span&gt; &lt;h4&gt;Number 2&lt;/h4&gt;
&lt;p&gt;Test Number 2&lt;/p&gt;
&lt;/div&gt;
&lt;/div&gt;</code></pre>
				</div>
			</div>
			<hr />
		</div>
	</main>
</template>

<script>
export default {
	name: 'AlertPage'
}
</script>

<style lang="scss" scoped></style>
